Hooks:PostHook( WeaponTweakData, "init", "gun-tweak", function(self)  --replace "gun-tweak" with the name of this file

--displayed stats

self.mg42.fire_mode_data.fire_rate = 0.03 --firerate (for calculation see below).
self.mg42.stats.spread = 8 --accuracy, gets multiplied by 4 and 4 is subtracted (for example 10 spread = 36 accuracy).
self.mg42.stats.recoil = 4 --stability, gets multiplied by 4 and 4 is subtracted (for example 10 recoil = 36 stability).

self.rpk.stats.spread = 15 --accuracy, gets multiplied by 4 and 4 is subtracted (for example 10 spread = 36 accuracy).
self.rpk.stats.recoil = 8 --stability, gets multiplied by 4 and 4 is subtracted (for example 10 recoil = 36 stability).
self.rpk.stats.damage = 100 --damage. some weapons, mostly sniper rifles and explosives, have a damage multiplier. remember to factor it in if you choose to rebalance these. additionally, changing this stat won't affect the actual damage dealt by explosives. in their case, the damage stat exists only for display, and the actual damage is handled by the projectile.
self.rpk.AMMO_MAX = 220 --total ammo.

self.par.stats.spread = 20 --accuracy, gets multiplied by 4 and 4 is subtracted (for example 10 spread = 36 accuracy).
self.par.stats.recoil = 20 --stability, gets multiplied by 4 and 4 is subtracted (for example 10 recoil = 36 stability).
self.par.stats.damage = 315 --damage. some weapons, mostly sniper rifles and explosives, have a damage multiplier. remember to factor it in if you choose to rebalance these. additionally, changing this stat won't affect the actual damage dealt by explosives. in their case, the damage stat exists only for display, and the actual damage is handled by the projectile.
self.par.fire_mode_data.fire_rate = 0.35 --firerate (for calculation see below).
self.par.can_shoot_through_enemy = true --true or false.
self.par.can_shoot_through_wall = true --true or false.
self.par.can_shoot_through_shield = true --true or false.
self.par.armor_piercing_chance = 1 --1 for always piercing, 0 for no piercing. can be any value inbetween for a chance of piercing.

self.hk21.CLIP_AMMO_MAX = 100 --magazine size.
self.hk21.fire_mode_data.fire_rate = 0.03 --firerate (for calculation see below).
self.hk21.stats.damage = 35 --damage. some weapons, mostly sniper rifles and explosives, have a damage multiplier. remember to factor it in if you choose to rebalance these. additionally, changing this stat won't affect the actual damage dealt by explosives. in their case, the damage stat exists only for display, and the actual damage is handled by the projectile.
self.hk21.stats.spread = 6 --accuracy, gets multiplied by 4 and 4 is subtracted (for example 10 spread = 36 accuracy).
self.hk21.stats.recoil = 11 --stability, gets multiplied by 4 and 4 is subtracted (for example 10 recoil = 36 stability).
self.hk21.stats.concealment = 22 --concealment.
self.hk21.timers.reload_not_empty = 3
self.hk21.timers.reload_empty = 3

end )

--[[

replace the entire "hk21" bit so that only the weapon id is between the dots (for example "self.glock_17.stats")

if you don't need/want to edit either of these, just remove the line. if the stat isn't overriden, it remains the same as vanilla. 

for firerate, open up calculator and divide 60 by your desired RPM (for example, 60/600 = 0.1), then paste in the value in place of x. remember to use the dot instead of the comma.

shotgun exclusive stats only apply to shotguns. even if you change the weapon category, the exclusive stats still do not apply to that weapon.

list of categories: {"assault_rifle"}, {"shotgun"}, {"lmg"}, {"snp"}, {"akimbo", "pistol"}, {"akimbo", "smg"}, {"akimbo", "shotgun"}, {"wpn_special"}, {"pistol"}, {"smg"}. shotguns and specials can be both secondary and or primary. pistols and smgs can only be secondary.

if you add an auto mode to a weapon that doesn't have it, the weapon will use the car-4's animations due to the fact that single and auto fire use separate firing animations.

weapon ids can be found either at https://payday.fandom.com/wiki/Weapons_(Payday_2) on the specific weapons' sites or on https://wiki.modworkshop.net/books/payday-2/page/weapons in a big list all together

]]